logo
WebhooksSend test payload

Send test payload

Sends a test webhook delivery to the configured URL. The payload is signed with the webhook's secret using HMAC-SHA256 (sent via X-Webhook-Signature header). The X-Webhook-Event header is set to test. Uses the webhook's configured timeoutMs for the request timeout.

curl -X POST "https://api.sendkit.ai/v1/webhooks/example_string/test" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "statusCode": 200,
    "delivered": true
  }
}
POST
/v1/webhooks/{webhookId}/test
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
path
webhookIdstring
Required

Webhook subscription ID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

webhookIdstring
Required

Webhook subscription ID

Responses

successboolean
dataobject